#include <stdio.h>

int main() {
    int N, count=0;
    int arr[100];
    scanf("%d",&N);
    for(int i=0; i<N; i++){
        scanf("%d",&arr[i]);
    }

    for(int i=0; i<N; i++){
        if(arr[i]==1){
            count++;
            continue;
        }
        for(int j=2; j*j<=arr[i]; j++){
            if(arr[i]%j==0){
                count++;
                break;
            }
        }
    }

    printf("%d",N - count);

    return 0;
}